Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class BaseEvictionPolicy

    java.lang.Object
      org.jboss.cache.eviction.BaseEvictionPolicy

All Implemented Interfaces:
  EvictionPolicy

Direct Known Subclasses:
  LRUPolicy

public class BaseEvictionPolicy
extends Object
implements EvictionPolicy

Base class implementation of EvictionPolicy.

Author:
  Ben Wang 2-2004

Field Summary
`protected TreeCache` | `cache_`
`protected RegionManager` | `regionManager_`

Constructor Summary
`BaseEvictionPolicy()`

Method Summary
`void` | `configure(TreeCache cache)` Method called to configure this implementation.
`void` | `evict(Fqn fqn)` Evict a node form the underlying cache.
`Object` | `getCacheData(Fqn fqn, Object key)`
`Set` | `getChildrenNames(Fqn fqn)` Return children names as Objects
`Region[]` | `getRegions()` EvictionPolicy interface implementation
`int` | `getWakeupIntervalSeconds()` return eviction thread (if any) wake up interval in seconds.
`boolean` | `hasChild(Fqn fqn)` Is this a leaf node?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### regionManager_

    protected RegionManager regionManager_

### cache_

    protected TreeCache cache_

Constructor Detail

### BaseEvictionPolicy

    public BaseEvictionPolicy()

Method Detail

### getRegions

    public Region[] getRegions()

  EvictionPolicy interface implementation

  Specified by:
    `getRegions` in interface `EvictionPolicy`
  Returns:

### evict

    public void evict(Fqn fqn)
               throws Exception

  Description copied from interface: `EvictionPolicy`
  Evict a node form the underlying cache.

  Specified by:
    `evict` in interface `EvictionPolicy`
  Parameters:
    `fqn` - Node corresponds to this fqn.
  Throws:
    `Exception`

### getChildrenNames

    public Set getChildrenNames(Fqn fqn)

  Description copied from interface: `EvictionPolicy`
  Return children names as Objects

  Specified by:
    `getChildrenNames` in interface `EvictionPolicy`
  Parameters:
    `fqn` -
  Returns:
    Set of children name as Objects

### hasChild

    public boolean hasChild(Fqn fqn)

  Description copied from interface: `EvictionPolicy`
  Is this a leaf node?

  Specified by:
    `hasChild` in interface `EvictionPolicy`
  Parameters:
    `fqn` -
  Returns:

### getCacheData

    public Object getCacheData(Fqn fqn,
                               Object key)

  Specified by:
    `getCacheData` in interface `EvictionPolicy`

### getWakeupIntervalSeconds

    public int getWakeupIntervalSeconds()

  Description copied from interface: `EvictionPolicy`
  return eviction thread (if any) wake up interval in seconds.

  Specified by:
    `getWakeupIntervalSeconds` in interface `EvictionPolicy`
  Returns:

### configure

    public void configure(TreeCache cache)

  Description copied from interface: `EvictionPolicy`
  Method called to configure this implementation.

  Specified by:
    `configure` in interface `EvictionPolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.